import { logger } from '@/module/logger.ts';
import { assistantConfig, app } from '../app.ts';
import '../routes/index.ts';
import { RemoteApp } from '@/module/assistant/remote-app/remote-app.ts';
const main = async () => {
  assistantConfig.checkMounted();
  const remoteApp = new RemoteApp({
    assistantConfig,
    app,
  });
  const connect = await remoteApp.isConnect();
  if (connect) {
    console.log('Connected to proxy server');
    remoteApp.listenProxy();
  } else {
    console.log('Not connected to proxy server');
  }
};

main();
